Package org.apache.solr.client.solrj.request

# Class LukeRequest

java.lang.Object
org.apache.solr.client.solrj.SolrRequest<LukeResponse>
org.apache.solr.client.solrj.request.CollectionRequiringSolrRequest<LukeResponse>
org.apache.solr.client.solrj.request.LukeRequest

All Implemented Interfaces:
  `Serializable`

public class LukeRequest extends CollectionRequiringSolrRequest<LukeResponse>

Since:
  solr 1.3
See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.ApiVersion, SolrRequest.METHOD, SolrRequest.SolrClientContext, SolrRequest.SolrRequestType`

## Field Summary

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS`

## Constructor Summary

Constructors
Constructor
Description
`LukeRequest()`
`LukeRequest(String path)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addField(String f)`
`protected LukeResponse`
`createResponse(NamedList<Object> namedList)`
Create a new SolrResponse to hold the response from the server.
`boolean`
`getIncludeIndexFieldFlags()`
`int`
`getNumTerms()`
`SolrParams`
`getParams()`
The parameters for this request; never null.
`boolean`
`isShowSchema()`
`void`
`setFields(List<String> f)`
`void`
`setIncludeIndexFieldFlags(boolean shouldInclude)`
Choose whether /luke should return the index-flags for each field
`void`
`setNumTerms(int count)`
the number of terms to return for a given field.
`void`
`setShowSchema(boolean showSchema)`

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionRequiringSolrRequest

`requiresCollection`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`addHeader, addHeaders, getApiVersion, getBasicAuthPassword, getBasicAuthUser, getCollection, getContentStreams, getContentWriter, getHeaders, getMethod, getPath, getPreferredNodes, getQueryParams, getRequestType, getResponseParser, getStreamingResponseCallback, getUserPrincipal, process, process, processWithBaseUrl, setBasicAuthCredentials, setMethod, setPath, setPreferredNodes, setQueryParams, setRequestType, setResponseParser, setStreamingResponseCallback, setUserPrincipal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LukeRequest

public LukeRequest()

### LukeRequest

public LukeRequest(String path)

## Method Details

### addField

public void addField(String f)

### setFields

public void setFields(List<String> f)

### isShowSchema

public boolean isShowSchema()

### setShowSchema

public void setShowSchema(boolean showSchema)

### getNumTerms

public int getNumTerms()

### setNumTerms

public void setNumTerms(int count)
the number of terms to return for a given field. If the number is 0, it will not traverse the terms.

### setIncludeIndexFieldFlags

public void setIncludeIndexFieldFlags(boolean shouldInclude)
Choose whether /luke should return the index-flags for each field

Fetching and returning the index-flags for each field in your index has non-zero cost, and can slow down requests to /luke. Users who do not care about these values can tell Solr to avoid generating them by setting the 'includeIndexFieldFlags' flag to false, saving their requests some processing.

### getIncludeIndexFieldFlags

public boolean getIncludeIndexFieldFlags()

### createResponse

protected LukeResponse createResponse(NamedList<Object> namedList)
Description copied from class: `SolrRequest`
Create a new SolrResponse to hold the response from the server. If the response extends `SolrResponse`, then there's no need to use the arguments, as `SolrResponse.setResponse(NamedList)` will be called right after this method.

Specified by:
  `createResponse` in class `SolrRequest<LukeResponse>`
Parameters:
  `namedList` - from `SolrClient.request(SolrRequest, String)`.

### getParams

public SolrParams getParams()
Description copied from class: `SolrRequest`
The parameters for this request; never null. The runtime type may be mutable but modifications may not affect this `SolrRequest` instance, as it may return a new instance here every time. If the subclass specifies the response type as `ModifiableSolrParams`, then one can expect it to change this request. If the subclass has a setter then one can expect this method to return the value set.

Specified by:
  `getParams` in class `SolrRequest<LukeResponse>`